Subject: RE: ITIMER Implementation???
From: [email-masked] (Alessandro Forin)

4 Dec 1996 16:03:50 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=US%a=_%p=msft%l=[email-masked]>
Original-To: "'Jeremy Allison'" <[email-masked]>
Original-Cc: "'Colin Peters'" <[email-masked]>,
        "'GNU-Win32'"
	 <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.994.63
Encoding: 61 TEXT, 1356 UUENCODE, 887 UUENCODE
X-MS-Attachment: ntdll.lst 0 00-00-1980 00:00
X-MS-Attachment: k32.lst 0 00-00-1980 00:00
Original-Sender: [email-masked]

[After this one, could you pls let me go ? Tx]

Stereotypes dont help you understand the world.  In this case, this
urban legend
of "undocumented calls for <malignant use>" that you apply really has no
substance
whatsoever [that I know of].

The REAL NT interface is provided by KERNEL32.DLL, and by NTDLL.DLL.
These are the lists of exported entry points from my machine (NT 4.0):
  
If you find anything in there that is not documented (*) let me know and
I'll have it fixed.
Happy ?

sandro-
(*) documented == not described in the VC++ help files.  
Make sure you install ALL of the help files from the CD, esp that 80+
meg one.

>----------
>From: 	Jeremy Allison[SMTP:[email-masked]]
>Sent: 	Wednesday, December 04, 1996 11:54 AM
>To: 	Alessandro Forin
>Cc: 	'Jeremy Allison'; 'Colin Peters'; 'GNU-Win32'
>Subject: 	Re: ITIMER Implementation??? 
>
>Alessandro,
>
>	You make some very interesting points. The problem
>though is that Cygwin32 is meant to compile existing UNIX
>code. I know signals are a poor substitute for about 4 different
>things, my goal is for people not to have to change their code.
>
>Using threads for ITIMERS would only work if the original
>code wanted a timer facility that didn't interrupt I/O in
>progress. Without knowing what the original request was
>using ITIMERS for I have to code for the general case
>which is interrupting I/O with a signal when the timer fires.
>
>If they have to re-write they might as well just move to the
>Win32 api. The really interesting task would be to get a
>description of the 'real' NT API, not the Win32 overlay,
>I mean the one that executables flagged as 'NT Native'
>use. I believe that there may be calls in there that
>would enable a much better POSIX emulation (as this is
>the API that the NT POSIX subsystem is based on).
>
>However I doubt that Microsoft would be willing to
>document it for us (although I believe you have done so
>for the 'OpenNT' company in San Francisco). I would love
>for you to prove me wrong however :-).
>
>Cheers,
>
>	Jeremy.
>	[email-masked]
>-
>For help on using this list, send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".